PUT
/api/v1/label/mapping/parameter_group/{pg_id}/
curl --request PUT \ --url 'https://api.e2enetworks.com/myaccount/api/v1/label/mapping/parameter_group/{pg_id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "new_label_ids_list": [ 2688 ]}'import requests
response = requests.put( "https://api.e2enetworks.com/myaccount/api/v1/label/mapping/parameter_group/{pg_id}/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "new_label_ids_list": [ 2688, ], },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/label/mapping/parameter_group/{pg_id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "PUT", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "new_label_ids_list": [ 2688 ] }),});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”pg_id
required
integer
Parameter Group ID
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
new_label_ids_list
Array<integer>
Example
[ 2688]Responses
Section titled “Responses”Successful response after attaching labels to a parameter group
Media typeapplication/json
object
code
integer
data
object
details
object
parent_resource_id
integer
parent_resource_type
string
label_id
integer
label_mapping_ids_to_create
Array<integer>
label_ids_to_delete
Array<integer>
errors
object
key
additional properties
any
message
string
Example
{ "code": 200, "data": { "details": { "parent_resource_id": 909, "parent_resource_type": "parameter_group", "label_id": null, "label_mapping_ids_to_create": [ 2688 ], "label_ids_to_delete": [] } }, "errors": {}, "message": "Success"}